import math
import time
from fischertechnik.controller.Motor import Motor
from lib.controller import *

slow = None
fast = None
i1 = None
i2 = None


slow = 150
fast = 512
while True:
    i1 = TXT_M_I1_color_sensor.get_voltage()
    i2 = TXT_M_I2_color_sensor.get_voltage()
    if i1 < 200 and i2 < 200:
        TXT_M_M1_encodermotor.set_speed(int(512), Motor.CCW)
        TXT_M_M2_encodermotor.set_speed(int(512), Motor.CW)
        TXT_M_M1_encodermotor.set_distance(int(161), TXT_M_M2_encodermotor)
        while True:
            if (not TXT_M_M1_encodermotor.is_running()):
                break
            time.sleep(0.010)
    elif math.fabs(i1 - i2) < 600:
        TXT_M_M1_encodermotor.set_speed(int(fast), Motor.CCW)
        TXT_M_M2_encodermotor.set_speed(int(fast), Motor.CCW)
        TXT_M_M1_encodermotor.start_sync(TXT_M_M2_encodermotor)
    elif i1 < i2:
        TXT_M_M1_encodermotor.set_speed(int(slow), Motor.CCW)
        TXT_M_M1_encodermotor.start_sync()
        TXT_M_M2_encodermotor.set_speed(int(fast), Motor.CCW)
        TXT_M_M2_encodermotor.start_sync()
    elif i1 > i2:
        TXT_M_M1_encodermotor.set_speed(int(fast), Motor.CCW)
        TXT_M_M1_encodermotor.start_sync()
        TXT_M_M2_encodermotor.set_speed(int(slow), Motor.CCW)
        TXT_M_M2_encodermotor.start_sync()
    else:
        pass
