import fischertechnik.factories as txt_factory

txt_factory.init()
txt_factory.init_input_factory()
txt_factory.init_motor_factory()

# left motor
# right motor
TXT_M = txt_factory.controller_factory.create_graphical_controller()
TXT_M_I1_color_sensor = txt_factory.input_factory.create_color_sensor(TXT_M, 1)
TXT_M_I2_color_sensor = txt_factory.input_factory.create_color_sensor(TXT_M, 2)
TXT_M_M1_encodermotor = txt_factory.motor_factory.create_encodermotor(TXT_M, 1)
TXT_M_M2_encodermotor = txt_factory.motor_factory.create_encodermotor(TXT_M, 2)

txt_factory.initialized()